<!DOCTYPE html>
<div class="container" id="selector-parent">
    <div class="row">
        <div class="col-md-8 col-sm-12 col-12">
            <select id="library-selector" (change)="onLibraryChange($event.target.value)">
                <option value="" disabled>Select a library</option>
                <option *ngFor="let library of libraries" [selected]="library._id == selectedLibraryId"
                    value="{{library._id}}">
                    {{library.name}}</option>
                <option id="load-more-option" value="load-more" *ngIf="isMoreLibrariesPresent">Load More...</option>
            </select>
        </div>
        <div class="col-md-4 col-sm-12 col-12" id="div-library-fetch-progress-message" *ngIf="isMoreLibrariesPresent">
            <span id="span-library-fetch-progress-message">Fetching Libraries, please wait..</span>
            <span id="span-library-fetch-status"><img id="tick-icon" src="assets/black_tick.png"/>Libraries Fetched</span>
        </div>

    </div>
</div>